// pages/socialEvent/socialEvent.js
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    socialEventEventList:[],
    page: 0,//当前页数
    pageCount: 0,//总页数
    //数据加载loading
    showLoading: false,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.socialList()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },

  //跳转到社会实践详情页面
  socialEventDetail(e){
    var eventId = e.currentTarget.dataset['eventid']
    wx.navigateTo({
      url: '../socialEventDetail/socialEventDetail?eventid='+eventId,
    })
    wx.setNavigationBarColor({
      frontColor: '#ffffff',
      backgroundColor: '#00C56B'
    })
  },

  // 社会实践列表
  socialList(){
    var that = this;
    that.setData({
      showLoading: true,
    });
    var config = wx.getStorageSync('config');
    wx.request({
      url: app.url + 'ajax_get_social_event_list.php',
      data: {
        unionId: config.unionId,
        page: that.data.page
      },
      header: { 'content-type': 'application/json' },
      method: 'GET',
      dataType: 'json',
      success: function (res) {
        console.log(res)
        if (res.statusCode == 200) {
          that.setData({
            socialEventEventList: res.data.result.socialEventEventList
          })
        }
      },
      fail: function (res) { },
      complete: function (res) { },
    })
  },

  //下拉加载更多
  loadMore() {
    if ((this.data.page+1) < this.data.pageCount) {
      var pageIndex = this.data.page + 1
      this.setData({
        page: pageIndex
      })
    } else {
      wx.showToast({
        title: '没有更多内容啦。',
        icon: 'success',
        duration: 2000
      });
    }
  }
})